FROM php:8-apache

# Add composer from Docker image (multi-stage build)
COPY --from=composer:latest /usr/bin/composer /usr/bin/composer

# Install required extensions
RUN apt update && apt install -y openssl locales apt-utils libicu-dev g++ libpng-dev libxml2-dev libzip-dev libonig-dev libxslt-dev
RUN docker-php-ext-install pdo pdo_mysql opcache intl zip calendar dom mbstring gd xsl

# Change Apache document root
RUN sed -ri -e 's!/var/www/html!/var/www/html/public!g' /etc/apache2/sites-available/*.conf

# Copy project files
WORKDIR /var/www/html
COPY . .

# Setup permissions
#RUN chown -R www-data:www-data storage

RUN cp .env .env.local && composer update && composer install
ONBUILD RUN php bin/console doctrine:database:create --if-not-exists
ONBUILD RUN php bin/console doctrine:schema:update
